#include ONCE "window9.bi"

sub AddComboBoxImageItem( iGadget as Long ,  sText as string , image as Hbitmap ,  item as Long = -1 ) export
	
	dim as GTKTREEITER iter
	
	dim as GtkListStore ptr liststore
	
	liststore = cast(any ptr , gtk_combo_box_get_model(cast(any ptr,GadgetId(iGadget))))
	
	if item = -1 then item = &h7FFFFFFF
	
	gtk_list_store_insert(liststore, @iter, item) 
	
	gtk_list_store_set(liststore, @iter, 0,  image, 1, strptr(sText), -1)                               	
	
End Sub